Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLProperty Class Reference

`#include <vtkOpenGLProperty.h>`

Inheritance diagram for vtkOpenGLProperty:

[legend]
Collaboration diagram for vtkOpenGLProperty:

[legend]
List of all members.

## Detailed Description

OpenGL property.

Date:
  2002/08/22 18:39:31

Revision:
  1.19

vtkOpenGLProperty is a concrete implementation of the abstract class vtkProperty. vtkOpenGLProperty interfaces to the OpenGL rendering library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Lorensen, Bill (17%)
  - Hoffman, Bill (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOpenGLProperty.cxx)`
  - .`h` (`/Rendering/vtkOpenGLProperty.h)`

Definition at line 45 of file vtkOpenGLProperty.h.

## Public Types
typedef vtkProperty | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkActor *a, vtkRenderer *ren)
void | BackfaceRender (vtkActor *a, vtkRenderer *ren)
## Static Public Methods
vtkOpenGLProperty * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLProperty * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLProperty ()
| ~vtkOpenGLProperty ()

## Member Typedef Documentation

typedef vtkProperty vtkOpenGLProperty::Superclass

| Reimplemented from vtkProperty. Definition at line 49 of file vtkOpenGLProperty.h.

## Constructor & Destructor Documentation

vtkOpenGLProperty::vtkOpenGLProperty | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkOpenGLProperty.h.

vtkOpenGLProperty::~vtkOpenGLProperty | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkOpenGLProperty.h.

## Member Function Documentation

vtkOpenGLProperty* vtkOpenGLProperty::New | ( |  | ) | `[static]`

| Construct object with object color, ambient color, diffuse color, specular color, and edge color white; ambient coefficient=0; diffuse coefficient=0; specular coefficient=0; specular power=1; Gouraud shading; and surface representation. Backface and frontface culling are off. Reimplemented from vtkProperty.

virtual const char* vtkOpenGLProperty::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProperty.

int vtkOpenGLProperty::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

virtual int vtkOpenGLProperty::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

vtkOpenGLProperty* vtkOpenGLProperty::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProperty.

virtual void vtkOpenGLProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProperty.

void vtkOpenGLProperty::Render | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) | `[virtual]`

| Implement base class method. Reimplemented from vtkProperty.

void vtkOpenGLProperty::BackfaceRender | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) | `[virtual]`

| Implement base class method. Reimplemented from vtkProperty.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLProperty.h